Page MenuHomePhabricator

Special:ImportTranslations fails to import new translations
Closed, ResolvedPublic

Description

Importing edits to existing translations took effect immediately: https://translatewiki.net/w/i.php?title=MediaWiki:Absenteelandlord-desc/it&diff=prev&oldid=7126627

But importing a PO file with new translations had no effect (

at https://translatewiki.net/wiki/Special:ImportTranslations).

I tried to import translations from a .po file via the web interface Special:ImportTranslations, and it works only when modifying existing messages, not when creating messages.
By diving in the code MessageWebImporter::execute, I see there is a call to self::doAction for existing messages, but there is no such call for non-existant messages, so is it really missing? (I successfully imported new messages from the command line script, my question is really about the web interface.)
To be transparent, this feature is requested by a client, if needed I can write the missing part for the web interface.

It seems to be a bug, yes.


See also: https://www.mediawiki.org/wiki/Topic:Tfw6wm6c727ivn43

Event Timeline

Nemo_bis created this task.Nov 24 2016, 8:12 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 24 2016, 8:12 PM
Nemo_bis triaged this task as High priority.Nov 24 2016, 8:12 PM

I've been facing this issue looking forward to importing my offline translations from .po file translated locally.

Change 334907 had a related patch set uploaded (by Nemo bis):
Actually import the new translations in Special:ImportTranslations

https://gerrit.wikimedia.org/r/334907

Is this change live already? Any estimates when it'll be available in translatewiki.net?

See the patch status: The patch is not merged yet.

Change 334907 merged by jenkins-bot:
Actually import the new translations in Special:ImportTranslations

https://gerrit.wikimedia.org/r/334907

Nikerabbit closed this task as Resolved.Feb 8 2017, 12:22 PM
Nikerabbit assigned this task to Nemo_bis.
Nikerabbit removed a project: Patch-For-Review.

I tried importing the workflow goes normal way and I get the message that
import is complete, but does not reflect on contributions. I think it is
not still working or am I too quick to try that out @Translatewiki.net?

I have deployed the fix today. Can you please try again?

Hi Niklas,

It worked like a charm.

@all: Thanks for working on this issue and solving it.

Thanks,
Saroj

Change 336785 had a related patch set uploaded (by Nemo bis):
Actually import the new translations in Special:ImportTranslations

https://gerrit.wikimedia.org/r/336785

Change 336786 had a related patch set uploaded (by Nemo bis):
Actually import the new translations in Special:ImportTranslations

https://gerrit.wikimedia.org/r/336786

Change 336785 merged by jenkins-bot:
Actually import the new translations in Special:ImportTranslations

https://gerrit.wikimedia.org/r/336785

Change 336786 merged by jenkins-bot:
Actually import the new translations in Special:ImportTranslations

https://gerrit.wikimedia.org/r/336786

Arrbee moved this task from Backlog to Done on the Language-2017 Sprint 2 board.Feb 22 2017, 6:46 AM